httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Schaefer <joe+gm...@sunstarsys.com>
Subject Re: [aq2] configure warnings
Date Thu, 16 Oct 2003 21:57:15 GMT
Stas Bekman <stas@stason.org> writes:

[...]

> % /usr/bin/perl-5.8.1-ithread Makefile.PL \
> --with-apache2-apxs=/home/stas/httpd/prefork/bin/apxs
> /home/stas/apache.org/httpd-apreq-2/missing: Unknown `--run' option
> Try `/home/stas/apache.org/httpd-apreq-2/missing --help' for more
> information configure: WARNING: `missing' script is too old or missing
>      generating script t/TEST
> Note (probably harmless): No library found for -lapreq2
> Note (probably harmless): No library found for -lapreq2
> Note (probably harmless): No library found for -lapreq2
> Note (probably harmless): No library found for -lapreq2
> 
> The latter seems to be quite important...

Yes, but it's rather expected, since the library hasn't been
compiled at this stage in the process.  FWIW, I'm adding an
--enable-perl-glue option to "configure" which will incorporate
the perl glue into the build process, so it'll work like this

  % ./configure --enable-perl-glue --with-apache2-apxs=...
  % make          (will also compile the perl glue)
  % make test     (will also run the perl glue tests)
  % make install  (will also install the perl glue)
  
Then toplevel Makefile.PL just needs to add the --enable-perl-glue
option and pass everything else along to ./configure.

-- 
Joe Schaefer


Mime
View raw message